POST api/sitecustomerapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteCustomerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| remark | string |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"delay_between_scans": 1,
"id": "70e2ac8b-19f4-4b97-92eb-c3eaf3edf211",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "c8d52108-eabb-4ca9-a1ed-17309c46d59b"
}
application/xml, text/xml
Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <delay_between_scans>1</delay_between_scans> <id>70e2ac8b-19f4-4b97-92eb-c3eaf3edf211</id> <name>sample string 4</name> <remark>sample string 5</remark> <site_id>c8d52108-eabb-4ca9-a1ed-17309c46d59b</site_id> </sitecustomer>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"4f7689ba-6ce7-411e-8dcc-11a13a65df60"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">4f7689ba-6ce7-411e-8dcc-11a13a65df60</guid>